SQLITE3_RELEASE_MEMORY(3)

NAME
sqlite3_release_memory - Attempt To Free Heap Memory

SYNOPSIS
int
sqlite3_release_memory(int);

DESCRIPTION
The sqlite3_release_memory() interface attempts to free N bytes of heap memory by deallocating non-essential memory allocations held by the database library. Memory used to cache database pages to improve performance is an example of non-essential memory. sqlite3_release_memory() returns the number of bytes actually freed, which might be more or less than the amount requested. The sqlite3_release_memory() routine is a no-op returning zero if SQLite is not compiled with SQLITE_ENABLE_MEMORY_MANAGEMENT.

SEE ALSO
sqlite3_db_release_memory(3)